Cyberduck Mountain Duck CLI

#66 closed defect (fixed)

2.5.2 Crashes Upon Launch On 10.4.3 PPC (Crash Log Attached)

Reported by: bg@… Owned by: dkocher
Priority: highest Milestone: 2.5.3
Component: core Version: 2.5.2
Severity: blocker Keywords:
Cc: Architecture:
Platform:

Description

Output Of "java -version"

BGs-PowerMac-G3:~ bgmccollum$ java -version
update_sharing command failed to execute
java version "1.4.2_09"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_09-232)
Java HotSpot(TM) Client VM (build 1.4.2-50, mixed mode)

Output of Cyberduck.crash.log

**********

Host Name:      BGs-PowerMac-G3
Date/Time:      2005-12-24 12:32:59.237 -0600
OS Version:     10.4.3 (Build 8F46)
Report Version: 3

Command: Cyberduck
Path:    /Applications/Cyberduck.app/Contents/MacOS/Cyberduck
Parent:  WindowServer [54]

Version: Version 2.5.2 (25/11/2005 06:18 PM) (2.5.2)

PID:    850
Thread: 7

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000014

Thread 0:
0   libSystem.B.dylib    	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib    	0x9000b15c mach_msg + 60
2   libjvm.dylib         	0x95ddc8dc jio_snprintf + 290632
3   libjvm.dylib         	0x95ddcff8 jio_snprintf + 292452
4   libjvm.dylib         	0x95e09700 JVM_MonitorNotifyAll + 29660
5   libjvm.dylib         	0x95df1d24 JVM_DesiredAssertionStatus + 7052
6   libjvm.dylib         	0x95df1ab4 JVM_DesiredAssertionStatus + 6428
7   libjvm.dylib         	0x95df1924 JVM_DesiredAssertionStatus + 6028
8   libjvm.dylib         	0x95df1544 JVM_DesiredAssertionStatus + 5036
9   <<00000000>> 	0x04737320 0 + 74674976
10  <<00000000>> 	0x04731ec0 0 + 74653376
11  <<00000000>> 	0x04731ec0 0 + 74653376
12  <<00000000>> 	0x04731fb0 0 + 74653616
13  <<00000000>> 	0x04731fb0 0 + 74653616
14  <<00000000>> 	0x04731ec0 0 + 74653376
15  <<00000000>> 	0x04731fb0 0 + 74653616
16  <<00000000>> 	0x0472f16c 0 + 74641772
17  libjvm.dylib         	0x95dddb1c jio_snprintf + 295304
18  libjvm.dylib         	0x95ddd9c4 jio_snprintf + 294960
19  libjvm.dylib         	0x95de7568 JVM_DoPrivileged + 940
20  <<00000000>> 	0x04738580 0 + 74679680
21  <<00000000>> 	0x04731ec0 0 + 74653376
22  <<00000000>> 	0x04731ec0 0 + 74653376
23  <<00000000>> 	0x04731ec0 0 + 74653376
24  <<00000000>> 	0x04731ec0 0 + 74653376
25  <<00000000>> 	0x0472f16c 0 + 74641772
26  libjvm.dylib         	0x95dddb1c jio_snprintf + 295304
27  libjvm.dylib         	0x95ddd9c4 jio_snprintf + 294960
28  libjvm.dylib         	0x95de7568 JVM_DoPrivileged + 940
29  <<00000000>> 	0x04738580 0 + 74679680
30  <<00000000>> 	0x04731ec0 0 + 74653376
31  <<00000000>> 	0x04731ec0 0 + 74653376
32  <<00000000>> 	0x04731ec0 0 + 74653376
33  <<00000000>> 	0x04731ec0 0 + 74653376
34  <<00000000>> 	0x04731ec0 0 + 74653376
35  <<00000000>> 	0x04731ec0 0 + 74653376
36  <<00000000>> 	0x0472f16c 0 + 74641772
37  libjvm.dylib         	0x95dddb1c jio_snprintf + 295304
38  libjvm.dylib         	0x95ddd9c4 jio_snprintf + 294960
39  libjvm.dylib         	0x95de3ef8 __ucmpdi2 + 11416
40  libjvm.dylib         	0x95dfffcc JVM_InternString + 11768
41  libjvm.dylib         	0x95dbe60c jio_snprintf + 167032
42  libjvm.dylib         	0x95dbd664 jio_snprintf + 163024
43  libjvm.dylib         	0x95dbd1e0 jio_snprintf + 161868
44  libjvm.dylib         	0x95dbcf64 jio_snprintf + 161232
45  libjvm.dylib         	0x95dea624 JVM_MonitorWait + 6824
46  libjvm.dylib         	0x95dea4c4 JVM_MonitorWait + 6472
47  com.apple.JavaVM     	0x9361cdac -[NSJavaVirtualMachine initWithClassPath:] + 1408
48  com.apple.Foundation 	0x9299d60c _NSFastJavaBundleSetup + 1084
49  com.apple.Foundation 	0x9299e1b8 NSJavaSpecifiedClassesForBundle + 212
50  com.apple.Foundation 	0x929b0518 _NSBundleAddJavaClasses + 100
51  com.apple.Foundation 	0x929b0690 _NSBundleLoadJavaCode + 80
52  com.apple.Foundation 	0x928cf104 +[NSBundle mainBundle] + 456
53  com.apple.AppKit     	0x937504c8 NSApplicationMain + 116
54  ch.sudo.cyberduck    	0x00007a54 _start + 344 (crt.c:272)
55  ch.sudo.cyberduck    	0x000078f8 start + 60

Thread 1:
0   libSystem.B.dylib    	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib    	0x9000b15c mach_msg + 60
2   libjvm.dylib         	0x95d8c13c operator new(unsigned long) + 7548
3   libjvm.dylib         	0x95d8c0dc operator new(unsigned long) + 7452
4   libjvm.dylib         	0x95d8c064 operator new(unsigned long) + 7332
5   libSystem.B.dylib    	0x9002b200 _pthread_body + 96

Thread 2:
0   libSystem.B.dylib    	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib    	0x9000b15c mach_msg + 60
2   libjvm.dylib         	0x95ddc998 jio_snprintf + 290820
3   libjvm.dylib         	0x95ddcf98 jio_snprintf + 292356
4   libjvm.dylib         	0x95ddcbec jio_snprintf + 291416
5   libjvm.dylib         	0x95ddc750 jio_snprintf + 290236
6   libjvm.dylib         	0x95d8c064 operator new(unsigned long) + 7332
7   libSystem.B.dylib    	0x9002b200 _pthread_body + 96

Thread 3:
0   libSystem.B.dylib    	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib    	0x9000b15c mach_msg + 60
2   libjvm.dylib         	0x95ddc8dc jio_snprintf + 290632
3   libjvm.dylib         	0x95de933c JVM_MonitorWait + 1984
4   libjvm.dylib         	0x95de8e50 JVM_MonitorWait + 724
5   libjvm.dylib         	0x95de8c84 JVM_MonitorWait + 264
6   <<00000000>> 	0x04738580 0 + 74679680
7   <<00000000>> 	0x04731fb0 0 + 74653616
8   <<00000000>> 	0x04731fb0 0 + 74653616
9   <<00000000>> 	0x0472f16c 0 + 74641772
10  libjvm.dylib         	0x95dddb1c jio_snprintf + 295304
11  libjvm.dylib         	0x95ddd9c4 jio_snprintf + 294960
12  libjvm.dylib         	0x95de89c8 JVM_StartThread + 2552
13  libjvm.dylib         	0x95de88ac JVM_StartThread + 2268
14  libjvm.dylib         	0x95de8840 JVM_StartThread + 2160
15  libjvm.dylib         	0x95de86d4 JVM_StartThread + 1796
16  libjvm.dylib         	0x95d8c064 operator new(unsigned long) + 7332
17  libSystem.B.dylib    	0x9002b200 _pthread_body + 96

Thread 4:
0   libSystem.B.dylib    	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib    	0x9000b15c mach_msg + 60
2   libjvm.dylib         	0x95ddc8dc jio_snprintf + 290632
3   libjvm.dylib         	0x95de933c JVM_MonitorWait + 1984
4   libjvm.dylib         	0x95de8e50 JVM_MonitorWait + 724
5   libjvm.dylib         	0x95de8c84 JVM_MonitorWait + 264
6   <<00000000>> 	0x04738580 0 + 74679680
7   <<00000000>> 	0x04731fb0 0 + 74653616
8   <<00000000>> 	0x04731ec0 0 + 74653376
9   <<00000000>> 	0x04731ec0 0 + 74653376
10  <<00000000>> 	0x0472f16c 0 + 74641772
11  libjvm.dylib         	0x95dddb1c jio_snprintf + 295304
12  libjvm.dylib         	0x95ddd9c4 jio_snprintf + 294960
13  libjvm.dylib         	0x95de89c8 JVM_StartThread + 2552
14  libjvm.dylib         	0x95de88ac JVM_StartThread + 2268
15  libjvm.dylib         	0x95de8840 JVM_StartThread + 2160
16  libjvm.dylib         	0x95de86d4 JVM_StartThread + 1796
17  libjvm.dylib         	0x95d8c064 operator new(unsigned long) + 7332
18  libSystem.B.dylib    	0x9002b200 _pthread_body + 96

Thread 5:
0   libSystem.B.dylib    	0x9000b208 mach_msg_trap + 8
1   libSystem.B.dylib    	0x9000b15c mach_msg + 60
2   libjvm.dylib         	0x95ddc998 jio_snprintf + 290820
3   libjvm.dylib         	0x95dfdf84 JVM_InternString + 3504
4   libjvm.dylib         	0x95dfdd1c JVM_InternString + 2888
5   libjvm.dylib         	0x95d8c064 operator new(unsigned long) + 7332
6   libSystem.B.dylib    	0x9002b200 _pthread_body + 96

Thread 6:
0   libSystem.B.dylib    	0x9002b998 semaphore_wait_trap + 8
1   libjvm.dylib         	0x95dfe69c JVM_InternString + 5320
2   libjvm.dylib         	0x95dfe44c JVM_InternString + 4728
3   libjvm.dylib         	0x95de86d4 JVM_StartThread + 1796
4   libjvm.dylib         	0x95d8c064 operator new(unsigned long) + 7332
5   libSystem.B.dylib    	0x9002b200 _pthread_body + 96

Thread 7 Crashed:
0   libjvm.dylib         	0x95fb4e8c dyld_stub__keymgr_get_and_lock_processwide_ptr + 120716
1   libjvm.dylib         	0x95e47bd8 JVM_IsNaN + 12120
2   libjvm.dylib         	0x95e476a8 JVM_IsNaN + 10792
3   libjvm.dylib         	0x95e19770 JVM_MonitorNotifyAll + 95308
4   libjvm.dylib         	0x95e18e18 JVM_MonitorNotifyAll + 92916
5   libjvm.dylib         	0x95e17f18 JVM_MonitorNotifyAll + 89076
6   libjvm.dylib         	0x95e1897c JVM_MonitorNotifyAll + 91736
7   libjvm.dylib         	0x95e06a6c JVM_MonitorNotifyAll + 18248
8   libjvm.dylib         	0x95e06828 JVM_MonitorNotifyAll + 17668
9   libjvm.dylib         	0x95e06500 JVM_MonitorNotifyAll + 16860
10  libjvm.dylib         	0x95e03058 JVM_MonitorNotifyAll + 3380
11  libjvm.dylib         	0x95dff5e4 JVM_InternString + 9232
12  libjvm.dylib         	0x95de86d4 JVM_StartThread + 1796
13  libjvm.dylib         	0x95d8c064 operator new(unsigned long) + 7332
14  libSystem.B.dylib    	0x9002b200 _pthread_body + 96

Thread 7 crashed with PPC Thread State 64:
  srr0: 0x0000000095fb4e8c srr1: 0x000000000000f030                        vrsave: 0x0000000000000000
    cr: 0x22002242          xer: 0x0000000000000000   lr: 0x0000000095e47bd8  ctr: 0x0000000095fb4e88
    r0: 0x00000000ffffffff   r1: 0x00000000f0386120   r2: 0x0000000000000004   r3: 0x00000000a5d9bdd0
    r4: 0x0000000000000000   r5: 0x00000000a5d8f898   r6: 0x0000000000000000   r7: 0x0000000000000000
    r8: 0x00000000ffffffff   r9: 0x0000000000000000  r10: 0x0000000095e476a8  r11: 0x0000000000000000
   r12: 0x0000000095fb4e88  r13: 0x0000000000000000  r14: 0x0000000000000000  r15: 0x00000000a5d82cb0
   r16: 0x0000000000000008  r17: 0x00000000a5d87320  r18: 0x00000000f03861b0  r19: 0x00000000f0386270
   r20: 0x00000000f0386230  r21: 0x00000000f03861d0  r22: 0x00000000a5d87320  r23: 0x00000000f0386250
   r24: 0x00000000a5d87320  r25: 0x00000000a5d8eae0  r26: 0x00000000007c0e74  r27: 0x0000000000000000
   r28: 0x00000000ffffffff  r29: 0x00000000f0386270  r30: 0x00000000f0386870  r31: 0x0000000095e47320

Binary Images Description:
    0x1000 -     0xdfff ch.sudo.cyberduck Version 2.5.2 (25/11/2005 06:18 PM) (2.5.2)	/Applications/Cyberduck.app/Contents/MacOS/Cyberduck
0x8fe00000 - 0x8fe54fff dyld 44.2	/usr/lib/dyld
0x90000000 - 0x901b3fff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x9020b000 - 0x9020ffff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x90211000 - 0x90264fff com.apple.CoreText 1.0.1 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90291000 - 0x90342fff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x90371000 - 0x906aefff com.apple.CoreGraphics 1.256.27 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9073a000 - 0x90813fff com.apple.CoreFoundation 6.4.4 (368.25)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x9085c000 - 0x9085cfff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x9085e000 - 0x90960fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x909ba000 - 0x90a3efff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90a68000 - 0x90ad6fff com.apple.framework.IOKit 1.4 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90aed000 - 0x90afffff libauto.dylib 	/usr/lib/libauto.dylib
0x90b06000 - 0x90dddfff com.apple.CoreServices.CarbonCore 671.2	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90e43000 - 0x90ec3fff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90f0d000 - 0x90f4efff com.apple.CFNetwork 4.0 (129.2)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x90f63000 - 0x90f7bfff com.apple.WebServices 1.1.2 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x90f8b000 - 0x9100cfff com.apple.SearchKit 1.0.4	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x91052000 - 0x9107bfff com.apple.Metadata 10.4.3 (121.20.2)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9108c000 - 0x9109afff libz.1.dylib 	/usr/lib/libz.1.dylib
0x9109d000 - 0x9125ffff com.apple.security 4.2 (24844)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x91362000 - 0x9136bfff com.apple.DiskArbitration 2.1	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91372000 - 0x91399fff com.apple.SystemConfiguration 1.8.1	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x913ac000 - 0x913b4fff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x913b9000 - 0x913d9fff libmx.A.dylib 	/usr/lib/libmx.A.dylib
0x913df000 - 0x913e7fff libbsm.dylib 	/usr/lib/libbsm.dylib
0x913eb000 - 0x91469fff com.apple.audio.CoreAudio 3.0.1	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x914a7000 - 0x914a7fff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x914a9000 - 0x914e1fff com.apple.AE 1.5 (297)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x914fc000 - 0x915c9fff com.apple.ColorSync 4.4.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9161e000 - 0x916b1fff com.apple.print.framework.PrintCore 4.3 (172.3)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x916f8000 - 0x917b5fff com.apple.QD 3.8.18 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x917f3000 - 0x91851fff com.apple.HIServices 1.5.1 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x9187f000 - 0x918a3fff com.apple.LangAnalysis 1.6.1	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x918b7000 - 0x918dcfff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x918ef000 - 0x91931fff com.apple.LaunchServices 10.4.5 (168)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x9194d000 - 0x91961fff com.apple.speech.synthesis.framework 3.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x9196f000 - 0x919a8fff com.apple.ImageIO.framework 1.4.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x919bd000 - 0x91a85fff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x91ad3000 - 0x91ae8fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x91aed000 - 0x91b09fff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91b0e000 - 0x91b7dfff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91b94000 - 0x91b98fff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91b9a000 - 0x91bcbfff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91bcf000 - 0x91c12fff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91c19000 - 0x91c32fff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91c37000 - 0x91c3afff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91c3c000 - 0x91c3cfff com.apple.Accelerate 1.1.1 (Accelerate 1.1.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91c3e000 - 0x91d28fff com.apple.vImage 2.0	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91d30000 - 0x91d4ffff com.apple.Accelerate.vecLib 3.1.1 (vecLib 3.1.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91dbb000 - 0x91e20fff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91e2a000 - 0x91ebcfff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91ed6000 - 0x92466fff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x924ae000 - 0x927befff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x927eb000 - 0x92877fff com.apple.DesktopServices 1.3.1	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x928b9000 - 0x92ae3fff com.apple.Foundation 6.4.2 (567.21)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92c01000 - 0x92cdffff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x92cff000 - 0x92dedfff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x92dff000 - 0x92e1dfff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92e28000 - 0x92e82fff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92ea0000 - 0x92ea0fff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92ea2000 - 0x92eb6fff com.apple.ImageCapture 3.0	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92ece000 - 0x92edefff com.apple.speech.recognition.framework 3.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92eea000 - 0x92efffff com.apple.securityhi 2.0 (203)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92f11000 - 0x92f98fff com.apple.ink.framework 101.2 (69)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92fac000 - 0x92fb7fff com.apple.help 1.0.3 (32)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92fc1000 - 0x92feefff com.apple.openscripting 1.2.3 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x93008000 - 0x93018fff com.apple.print.framework.Print 5.0 (190.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x93024000 - 0x9308afff com.apple.htmlrendering 1.1.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x930bb000 - 0x9310dfff com.apple.NavigationServices 3.4.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x93139000 - 0x93156fff com.apple.audio.SoundManager 3.9	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x93168000 - 0x93175fff com.apple.CommonPanels 1.2.2 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x9317e000 - 0x93490fff com.apple.HIToolbox 1.4.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x935dc000 - 0x935e8fff com.apple.opengl 1.4.6	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x9361b000 - 0x9361ffff com.apple.JavaVM 11.2.0	/System/Library/Frameworks/JavaVM.framework/JavaVM
0x93659000 - 0x93659fff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x9365b000 - 0x93c8efff com.apple.AppKit 6.4.3 (824.23)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x9401a000 - 0x94089fff com.apple.CoreData 50 (77)	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x940c2000 - 0x9418cfff com.apple.audio.toolbox.AudioToolbox 1.4.1	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x941e0000 - 0x941e0fff com.apple.audio.units.AudioUnit 1.4	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x941e2000 - 0x9435afff com.apple.QuartzCore 1.4.3	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x943a4000 - 0x943e1fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x943e9000 - 0x94439fff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x94662000 - 0x948ccfff com.apple.QuickTime 7.0.3	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x94fc5000 - 0x94fdbfff com.apple.JavaApplicationLauncher 11.2.0	/System/Library/PrivateFrameworks/JavaApplicationLauncher.framework/Versions/A/JavaApplicationLauncher
0x95d83000 - 0x95fcafff libjvm.dylib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libjvm.dylib
0x98338000 - 0x98353fff libjava.jnilib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libjava.jnilib
0x9835d000 - 0x98367fff libverify.dylib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libverify.dylib
0x9a6f8000 - 0x9a703fff libzip.jnilib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Libraries/libzip.jnilib

Change History (5)

comment:1 Changed on Dec 25, 2005 at 4:51:58 PM by dkocher

Have you modified symlinks in /System/Library/Frameworks/JavaVM.framework/Versions?

comment:2 Changed on Dec 26, 2005 at 2:08:09 AM by bg@…

I have not modified anything. This is a fresh install of Tiger.

comment:3 Changed on Dec 26, 2005 at 4:57:14 PM by dkocher

Try executing <code>/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Commands/update_sharing 1.4</code> in a Terminal.app window.

comment:4 Changed on Dec 28, 2005 at 11:55:17 PM by bg@…

That fixed it. What was the cause of this crash? Was it trying to use a newer version of Java?

comment:5 Changed on Dec 29, 2005 at 12:23:39 AM by dkocher

  • Milestone changed from 2.6 to 2.5.3
  • Resolution set to fixed
  • Status changed from new to closed

The last java update from apple was not configured completly upon installing it seems.

Note: See TracTickets for help on using tickets.
swiss made software